> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/convert-dsgatewaykdcproxysettings.md).

# Convert-DSGatewayKDCProxySettings

Convert-DSGatewayKDCProxySettings extrae la configuración de proxy KDC de un objeto Gateway de Devolutions Server a una matriz de objetos PSGatewayKDCProxySettings.

### Sinopsis

Convertir la configuración del proxy KDC de una puerta de enlace

### Sintaxis

#### \_\_AllParameterSets

```
Convert-DSGatewayKDCProxySettings [-Gateway] <Gateway> [<CommonParameters>]
```

### Descripción

Extraer la configuración del proxy KDC de un objeto Gateway a una matriz de objetos PSGatewayKDCProxySettings.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $gateway = Get-DSGateway -Name "Corporate Gateway"
PS C:\> $kdcSettings = @(Convert-DSGatewayKDCProxySettings -Gateway $gateway)
PS C:\> $kdcSettings += New-DSGatewayKDCProxySettings -KDCServerUrl "tcp://kdc3.newdomain.com" -KerberosRealm "NEWDOMAIN.COM"
PS C:\> Update-DSGateway -Gateway $gateway -KdcProxySettings $kdcSettings
```

Obtener la configuración de proxy KDC existente de un gateway, agregar una configuración para un dominio Kerberos adicional y actualizar el gateway.

#### Ejemplo 2

```powershell
PS C:\> $gateway = Get-DSGateway -GatewayID $gatewayId
PS C:\> $kdcSettings = @(Convert-DSGatewayKDCProxySettings -Gateway $gateway)
PS C:\> $filteredSettings = $kdcSettings | Where-Object { $_.KerberosRealm -ne "CONTOSO.COM" }
PS C:\> Update-DSGateway -Gateway $gateway -KdcProxySettings $filteredSettings
```

Obtener la configuración de proxy KDC existente de un gateway, quitar la configuración del dominio CONTOSO.COM y actualizar el gateway.

### Parámetros

#### -Gateway

Objeto de puerta de enlace obtenido de Get-DSGateway.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entradas

#### Devolutions.Server.ApiWrapper.Models.Gateway.Gateway

Objeto de puerta de enlace obtenido de Get-DSGateway.

### Salidas

#### RemoteDesktopManager.PowerShellModule.Private.models.PSGatewayKDCProxySettings

### Notas

Para más información, escriba "Get-Help Convert-DSGatewayKDCProxySettings -detailed". Para obtener información técnica, escriba "Get-Help Convert-DSGatewayKDCProxySettings -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/convert-dsgatewaykdcproxysettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
